Package org.globus.gsi.gssapi

# Class GlobusGSSName

java.lang.Object
org.globus.gsi.gssapi.GlobusGSSName

All Implemented Interfaces:
  `Serializable`, `GSSName`

public class GlobusGSSName extends Object implements GSSName, Serializable
An implementation of `GSSName`.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`globusID`
`protected String`
`hostBasedServiceCN`
`protected X500Principal`
`name`
`protected Oid`
`nameType`

### Fields inherited from interface org.ietf.jgss.GSSName

`NT_ANONYMOUS, NT_EXPORT_NAME, NT_HOSTBASED_SERVICE, NT_MACHINE_UID_NAME, NT_STRING_UID_NAME, NT_USER_NAME`

## Constructor Summary

Constructors
Constructor
Description
`GlobusGSSName()`
`GlobusGSSName(byte[] name)`
`GlobusGSSName(String name)`
Creates name from Globus DN
`GlobusGSSName(String name, Oid nameType)`
Creates name from X509 name of specified type.
`GlobusGSSName(X500Principal name)`

## Method Summary

Modifier and Type
Method
Description
`GSSName`
`canonicalize(Oid mech)`
Currently not implemented.
`boolean`
`equals(GSSName another)`
`byte[]`
`export()`
Currently not implemented.
`protected String`
`getHostBasedServiceCN(boolean last)`
Returns the CN corresponding to the host part of the DN
`Oid`
`getStringNameType()`
Currently not implemented.
`boolean`
`isAnonymous()`
`boolean`
`isMN()`
`String`
`toString()`
Returns globus ID string representation of the name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.ietf.jgss.GSSName

`equals, hashCode`

## Field Details

### nameType

protected Oid nameType

### name

protected X500Principal name

### globusID

protected String globusID

### hostBasedServiceCN

protected String hostBasedServiceCN

## Constructor Details

### GlobusGSSName

public GlobusGSSName()

### GlobusGSSName

public GlobusGSSName(X500Principal name)

### GlobusGSSName

public GlobusGSSName(byte[] name)

### GlobusGSSName

public GlobusGSSName(String name) throws GSSException
Creates name from Globus DN

Parameters:
  `name` - Globus DN (e.g. /C=US/O=Globus/..) If null it is considered set as `GSSName.ANONYMOUS` name type.
Throws:
  `GSSException`

### GlobusGSSName

public GlobusGSSName(String name, Oid nameType) throws GSSException
Creates name from X509 name of specified type.

Parameters:
  `name` - Globus DN (e.g. /C=US/O=Globus/..) or service@host name. If null it is considered set as `GSSName.ANONYMOUS` name type.
  `nameType` - name type. Only `GSSName.NT_ANONYMOUS` or `GSSName.NT_HOSTBASED_SERVICE` is supported. Maybe be null.
Throws:
  `GSSException`

## Method Details

### isAnonymous

public boolean isAnonymous()

Specified by:
  `isAnonymous` in interface `GSSName`

### isMN

public boolean isMN()

Specified by:
  `isMN` in interface `GSSName`

### equals

public boolean equals(GSSName another) throws GSSException

Specified by:
  `equals` in interface `GSSName`
Throws:
  `GSSException`

### toString

public String toString()
Returns globus ID string representation of the name. If name represents is an anonymous name string "<anonymous>" is returned.

Specified by:
  `toString` in interface `GSSName`
Overrides:
  `toString` in class `Object`

### getHostBasedServiceCN

protected String getHostBasedServiceCN(boolean last)
Returns the CN corresponding to the host part of the DN

Parameters:
  `last` - true if the CN is assumed to be the last CN attribute in the RFC 2253 formatted DN, else false to assume it is the first DN attribute
Returns:
  the CN of the host based service

### getStringNameType

public Oid getStringNameType() throws GSSException
Currently not implemented.

Specified by:
  `getStringNameType` in interface `GSSName`
Throws:
  `GSSException`

### export

public byte[] export() throws GSSException
Currently not implemented.

Specified by:
  `export` in interface `GSSName`
Throws:
  `GSSException`

### canonicalize

public GSSName canonicalize(Oid mech) throws GSSException
Currently not implemented.

Specified by:
  `canonicalize` in interface `GSSName`
Throws:
  `GSSException`